import { IProcessedPositions, IRedisKeyExpiration, ITripPositionsWithGTFS } from "../../../vehicle-positions/workers/vehicle-positions/interfaces/VPInterfaces";
import { RedisModel } from "@golemio/core/dist/integration-engine/models/RedisModel";
export declare class DelayComputationRedisRepository extends RedisModel {
    static NAMESPACE_PREFIX: string;
    private logger;
    constructor();
    expire(keys: string[], ttlInSeconds: number): Promise<void>;
    expirePxat(tripIdsWithTtl: IRedisKeyExpiration[]): Promise<void>;
    cacheTripDataBatch(trips: ITripPositionsWithGTFS[], positions: IProcessedPositions[]): Promise<void>;
    getTripPropertiesBatch<T extends object>(tripIds: string[], properties: Array<keyof T>): Promise<Array<T | null>>;
    calculateExpirationTtl(positions: IProcessedPositions[], tripId: string): number;
}
